---
id: skip
title: skip
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

Directs the executor to skip this field or fragment when the `if` argument is true.

```graphql
directive @skip(
  if: Boolean!
)
```

### Arguments

#### `if` ([`Boolean!`](/docs/api/scalars/boolean))

Skipped when true.
